##### 7.5.13.0. mondim

Procedure from library `nchilbert.lib` (see nchilbert_lib).

Usage:
  mondim(B,i); B is list of elements of N_0^i,

Return:
  int

Purpose:
  computes the dimension of the monoid ideal generated by B

Example:

    LIB "nchilbert.lib";
    ring A = 0,(x,y,z),dp;
    setring A;
    list I = [1,0,1],[0,1,1]; // belongs to the ideal <xz,yz>
    mondim(I,3);
    ==> 1
    mondim(I,5); // treat generators of I as extended in N_0^5
    ==> 3

User manual for Singular version 4.4.1, 2025, generated by texi2html.